Topic
2 replies Latest Post - ‏2013-01-15T09:37:00Z by SystemAdmin
SystemAdmin
SystemAdmin
6902 Posts
ACCEPTED ANSWER

Pinned topic Can't run internal browser in Eclipse 3.7 on AIX 6.1

‏2012-11-20T12:46:46Z |
Hello,

I cant open any html page in internal browser in eclipse 3.7 on AIX 6.1.
I've received next message:

!MESSAGE Internal browser is not available: No more handles

(java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
swt-mozilla-gtk-3740 (Not found in java.library.path)
swt-mozilla-gtk (Not found in java.library.path)
/.swt/lib/aix/ppc/libswt-mozilla-gtk-3740.a (No such file or directory)
/.swt/lib/aix/ppc/libswt-mozilla-gtk.a (No such file or directory)
)

My env variables is:
MOZILLA_FIVE_HOME=/usr/mozilla/firefox
LIBPATH=/usr/mozilla/firefox:/usr/lib:/opt/freeware/lib
LD_LIBRARY_PATH=/usr/mozilla/firefox:/usr/lib:/opt/freeware/lib

Please, help me.
Updated on 2013-01-15T09:37:00Z at 2013-01-15T09:37:00Z by SystemAdmin
  • flodstrom
    flodstrom
    115 Posts
    ACCEPTED ANSWER

    Re: Can't run internal browser in Eclipse 3.7 on AIX 6.1

    ‏2012-11-28T15:51:59Z  in response to SystemAdmin
    A few observations regarding your environment.

    The LD_LIBRARY_PATH variable has no meaning on AIX, you can remove that setting.

    You should be careful with using the LIBPATH variable. It is generally not advisable to use or set the LIBPATH in a normal user environment, it's more or less there for developers that may want to try different versions of libraries, etc. Unless you know exactly what you are doing it may even cause you more and/or unexpected problems by having the LIBPATH variable set.

    Besides the environment, have you verified that those two libraries (SWT libs) are available?
    • SystemAdmin
      SystemAdmin
      6902 Posts
      ACCEPTED ANSWER

      Re: Can't run internal browser in Eclipse 3.7 on AIX 6.1

      ‏2013-01-15T09:37:00Z  in response to flodstrom
      Yes, I've verified those lobraries first. They are exists.
      Also I've contacted to SWT developers and they accepted that Eclipse doesn't support Browser on AIX.
      https://bugs.eclipse.org/bugs/show_bug.cgi?id=394679